#!/bin/bash
#-----------------------
# Testing utilities help
#-----------------------
set -e

cd "$AUTOPKGTEST_TMP"

CMDS=('swauth-add-account' 'swauth-add-user' 'swauth-cleanup-tokens'
      'swauth-delete-account' 'swauth-delete-user' 'swauth-list' 'swauth-prep'
      'swauth-set-account-service')
for cmd in "${CMDS[@]}"; do
    if ! $cmd -h 2>&1 > /dev/null; then
        echo "ERROR, ${cmd} is not running"
        exit 1
    else
        echo "OK: ${cmd} is running"
    fi
done
exit 0
